# ToggleButtonViewModel

#### new Cesium.ToggleButtonViewModel(command, options)
Widgets/ToggleButtonViewModel.js 16

A view model which exposes the properties of a toggle button.

Name | Type | Description
--- | --- | ---
`command` | Command | The command which will be executed when the button is toggled.

`options`

Object

optional Object with the following properties:

Name | Type | Default | Description
--- | --- | --- | ---
`toggled` | Boolean | `false` | optional A boolean indicating whether the button should be initially toggled.
`tooltip` | String | `''` | optional A string containing the button's tooltip.

### Members

#### command : Command
Widgets/ToggleButtonViewModel.js 50

Gets the command which will be executed when the button is toggled.

#### toggled : Boolean
Widgets/ToggleButtonViewModel.js 32

Gets or sets whether the button is currently toggled. This property is observable.

Default Value: `false`

#### tooltip : String
Widgets/ToggleButtonViewModel.js 39

Gets or sets the button's tooltip. This property is observable.

Default Value: `''`